# Generated by Django 1.9.5 on 2016-04-09 06:19


from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Revision',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                ('content', models.TextField(verbose_name='content')),
                (
                    'message',
                    models.TextField(blank=True, verbose_name='change message'),
                ),
                ('creator_ip', models.GenericIPAddressField(verbose_name='creator ip')),
                (
                    'created',
                    models.DateTimeField(auto_now_add=True, verbose_name='created'),
                ),
                (
                    'modified',
                    models.DateTimeField(auto_now=True, verbose_name='modified'),
                ),
                (
                    'creator',
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name='wakawaka_revisions',
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                'ordering': ['-modified'],
                'get_latest_by': 'modified',
                'verbose_name': 'Revision',
                'verbose_name_plural': 'Revisions',
            },
        ),
        migrations.CreateModel(
            name='WikiPage',
            fields=[
                (
                    'id',
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name='ID',
                    ),
                ),
                ('slug', models.CharField(max_length=255, verbose_name='slug')),
                (
                    'created',
                    models.DateTimeField(auto_now_add=True, verbose_name='created'),
                ),
                (
                    'modified',
                    models.DateTimeField(auto_now=True, verbose_name='modified'),
                ),
                ('object_id', models.PositiveIntegerField(null=True)),
                (
                    'content_type',
                    models.ForeignKey(
                        null=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        to='contenttypes.ContentType',
                    ),
                ),
            ],
            options={
                'ordering': ['slug'],
                'verbose_name': 'Wiki page',
                'verbose_name_plural': 'Wiki pages',
            },
        ),
        migrations.AddField(
            model_name='revision',
            name='page',
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name='revisions',
                to='wakawaka.WikiPage',
            ),
        ),
    ]
